Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.query
Interface QueryEngineResultSet

All Known Implementing Classes:
  QueryEngineResultSetImpl

public interface QueryEngineResultSet

An object of this type is returned by `QueryEngine.executeQuery()` and represents the result of the query.

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  `QueryEngine.executeQuery(User, String)`

Method Summary
`int` | `getColumnCount()` Returns of how many data columns each row consists.
`Collection` | `getColumnNames()` Returns a collection of the column names.
`int` | `getRowCount()` Returns how many result rows the query yielded.
`Collection` | `getRows()` Returns a collection of row collections, i.e. each entry in the returned collection is itself a collection containing the colums of the row.

Method Detail

### getRowCount

    public int getRowCount()

  Returns how many result rows the query yielded.

  Returns:
    the number of result rows (0..n)
  See Also:
    `getRows()`

### getColumnCount

    public int getColumnCount()

  Returns of how many data columns each row consists.

  Returns:
    the number of data columns (0..m) per row
  See Also:
    `getColumnNames()`

### getRows

    public Collection getRows()

  Returns a collection of row collections, i.e. each entry in the returned collection is itself a collection containing the colums of the row.

  Returns:
    a collection of row collections
  See Also:
    `getRowCount()`

### getColumnNames

    public Collection getColumnNames()

  Returns a collection of the column names. The names are not included in the data rows.

  Returns:
    a collection of the column names
  See Also:
    `getColumnCount()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD